package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemAssignmentProgressSummaryDetailBindingImpl extends ItemAssignmentProgressSummaryDetailBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_layout_not_started, 4);
        sViewsWithIds.put(R.id.item_clazz_assignment_progress_detail_not_started_title, 5);
        sViewsWithIds.put(R.id.guideline2, 6);
        sViewsWithIds.put(R.id.item_layout_started, 7);
        sViewsWithIds.put(R.id.item_clazz_assignment_progress_detail_started_title, 8);
        sViewsWithIds.put(R.id.guideline3, 9);
        sViewsWithIds.put(R.id.guideline4, 10);
        sViewsWithIds.put(R.id.item_layout_marked, 11);
        sViewsWithIds.put(R.id.item_clazz_assignment_progress_detail_marked_title, 12);
    }
    // views
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemAssignmentProgressSummaryDetailBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 13, sIncludes, sViewsWithIds));
    }
    private ItemAssignmentProgressSummaryDetailBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.view.View) bindings[6]
            , (android.view.View) bindings[9]
            , (android.view.View) bindings[10]
            , (android.widget.TextView) bindings[12]
            , (android.widget.TextView) bindings[3]
            , (android.widget.TextView) bindings[5]
            , (android.widget.TextView) bindings[8]
            , (android.widget.TextView) bindings[2]
            , (android.widget.TextView) bindings[1]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[11]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[4]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[7]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[0]
            );
        this.itemClazzAssignmentProgressDetailMarkedValue.setTag(null);
        this.itemClazzAssignmentProgressDetailStartedValue.setTag(null);
        this.itemClazzProgressDetailNotStartedValue.setTag(null);
        this.itemStudentAssignmentProgressDetailCl.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.assignmentProgressSummary == variableId) {
            setAssignmentProgressSummary((com.ustadmobile.lib.db.entities.AssignmentProgressSummary) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setAssignmentProgressSummary(@Nullable com.ustadmobile.lib.db.entities.AssignmentProgressSummary AssignmentProgressSummary) {
        this.mAssignmentProgressSummary = AssignmentProgressSummary;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.assignmentProgressSummary);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.AssignmentProgressSummary assignmentProgressSummary = mAssignmentProgressSummary;
        java.lang.String javaLangStringAssignmentProgressSummaryCalculateNotSubmittedStudents = null;
        int assignmentProgressSummarySubmittedStudents = 0;
        java.lang.String javaLangStringAssignmentProgressSummaryMarkedStudents = null;
        int assignmentProgressSummaryCalculateNotSubmittedStudents = 0;
        int assignmentProgressSummaryMarkedStudents = 0;
        java.lang.String javaLangStringAssignmentProgressSummarySubmittedStudents = null;

        if ((dirtyFlags & 0x3L) != 0) {



                if (assignmentProgressSummary != null) {
                    // read assignmentProgressSummary.submittedStudents
                    assignmentProgressSummarySubmittedStudents = assignmentProgressSummary.getSubmittedStudents();
                    // read assignmentProgressSummary.calculateNotSubmittedStudents()
                    assignmentProgressSummaryCalculateNotSubmittedStudents = assignmentProgressSummary.calculateNotSubmittedStudents();
                    // read assignmentProgressSummary.markedStudents
                    assignmentProgressSummaryMarkedStudents = assignmentProgressSummary.getMarkedStudents();
                }


                // read ("") + (assignmentProgressSummary.submittedStudents)
                javaLangStringAssignmentProgressSummarySubmittedStudents = ("") + (assignmentProgressSummarySubmittedStudents);
                // read ("") + (assignmentProgressSummary.calculateNotSubmittedStudents())
                javaLangStringAssignmentProgressSummaryCalculateNotSubmittedStudents = ("") + (assignmentProgressSummaryCalculateNotSubmittedStudents);
                // read ("") + (assignmentProgressSummary.markedStudents)
                javaLangStringAssignmentProgressSummaryMarkedStudents = ("") + (assignmentProgressSummaryMarkedStudents);
        }
        // batch finished
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzAssignmentProgressDetailMarkedValue, javaLangStringAssignmentProgressSummaryMarkedStudents);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzAssignmentProgressDetailStartedValue, javaLangStringAssignmentProgressSummarySubmittedStudents);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzProgressDetailNotStartedValue, javaLangStringAssignmentProgressSummaryCalculateNotSubmittedStudents);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): assignmentProgressSummary
        flag 1 (0x2L): null
    flag mapping end*/
    //end
}